/*
 * HTPA_32x32d.h
 *
 *  Created on: Mar 24, 2023
 *      Author: Getac
 */

#ifndef INC_HTPA_32X32D_H_
#define INC_HTPA_32X32D_H_

typedef struct {
	uint8_t block;
	uint8_t vdd_meas;
	uint8_t blind;
	uint8_t eoc;
}HTPA_Status;

void HTPA_Init(I2C_HandleTypeDef *);

void HTPA_ReadBlock(uint8_t, uint8_t, uint16_t *[128]);
void HTPA_WriteRegister(uint8_t, uint8_t);
HTPA_Status HTPA_GetStatus(void);


#endif /* INC_HTPA_32X32D_H_ */
